Bug 986096 - [RFE] Extend Quantum's core API to support advanced services
[RFE] Extend Quantum's core API to support advanced services
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
4.0
Unspecified Unspecified
high Severity unspecified
: Upstream M3
: 4.0
Assigned To: Maru Newby
Rami Vaknin
https://blueprints.launchpad.net/neut...
: FutureFeature
Depends On: 988917
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 20:56 EDT by Maru Newby
Modified: 2016-04-26 18:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-17 03:14:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maru Newby 2013-07-18 20:56:47 EDT
Important services such as L3 routing and lbaas (load balancing) are currently supported in Quantum's API as extensions.  The goal is to move to move support to the core API for simplicity and ease of maintenance.

https://blueprints.launchpad.net/neutron/+spec/api-core-for-services
Comment 2 Maru Newby 2013-09-17 03:14:22 EDT
The only change that merged [1] in support of the blueprint allows core plugins to expose service implementations that previously had to be defined separately.  This precludes a general testing strategy, and evaluation of plugin-specific functionality will automatically cover the change in question.

1: https://review.openstack.org/#/c/28196/6

Note You need to log in before you can comment on or make changes to this bug.